Package org.apache.activemq.artemis.jms.client.compatible1X

## Class ActiveMQBytesCompatibleMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQBytesMessage
    - - org.apache.activemq.artemis.jms.client.compatible1X.ActiveMQBytesCompatibleMessage

- All Implemented Interfaces:
    `javax.jms.BytesMessage`, `javax.jms.Message`

      public class ActiveMQBytesCompatibleMessage
      extends ActiveMQBytesMessage

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQBytesMessage

      `TYPE`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `ActiveMQBytesCompatibleMessage​(javax.jms.BytesMessage foreign, ClientSession session)` |
    `protected` | `ActiveMQBytesCompatibleMessage​(ClientMessage message, ClientSession session)` |
    `` | `ActiveMQBytesCompatibleMessage​(ClientSession session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.apache.activemq.artemis.api.core.SimpleString` | `checkPrefix​(org.apache.activemq.artemis.api.core.SimpleString address)` |
    `javax.jms.Destination` | `getJMSReplyTo()` |
    `void` | `setJMSReplyTo​(javax.jms.Destination dest)` |

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQBytesMessage

      `clearBody, doBeforeReceive, doBeforeSend, getBodyInternal, getBodyLength, getType, isBodyAssignableTo, readBoolean, readByte, readBytes, readBytes, readChar, readDouble, readFloat, readInt, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, reset, writeBoolean, writeByte, writeBytes, writeBytes, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeObject, writeShort, writeUTF`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefixStr, checkRead, checkWrite, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, createMessage, getBody, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hasNoBody, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Constructor Detail

    - #### ActiveMQBytesCompatibleMessage

          public ActiveMQBytesCompatibleMessage​(ClientSession session)

    - #### ActiveMQBytesCompatibleMessage

          protected ActiveMQBytesCompatibleMessage​(ClientMessage message,
                                                   ClientSession session)

    - #### ActiveMQBytesCompatibleMessage

          public ActiveMQBytesCompatibleMessage​(javax.jms.BytesMessage foreign,
                                                ClientSession session)
                                         throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

  - ### Method Detail

    - #### checkPrefix

          protected org.apache.activemq.artemis.api.core.SimpleString checkPrefix​(org.apache.activemq.artemis.api.core.SimpleString address)

      Overrides:
        `checkPrefix` in class `ActiveMQMessage`

    - #### setJMSReplyTo

          public void setJMSReplyTo​(javax.jms.Destination dest)
                             throws javax.jms.JMSException

      Specified by:
        `setJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `setJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### getJMSReplyTo

          public javax.jms.Destination getJMSReplyTo()
                                              throws javax.jms.JMSException

      Specified by:
        `getJMSReplyTo` in interface `javax.jms.Message`
      Overrides:
        `getJMSReplyTo` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`